export interface TableOptionsClass {
    checkbox?: boolean;
    maxHeight?: string;
    multiple?: boolean;
    minHeight?: string;
    loading?: boolean;
    showIndex?: boolean;
}
export interface TableFilterOptionClass {
    filterKey?: string;
    maxHeight: string;
}
export interface TableFilterOptionListClass {
    checked: boolean;
    name: string;
    index?: number;
}
export interface TableFilterClass {
    type: string;
    option?: TableFilterOptionClass;
    optionList?: TableFilterOptionListClass[];
    fn: Function;
    filterAllCheck?: any;
    defaultText: any;
    hasFilter: any;
}
export interface TableHeaderClass {
    field: string;
    title: string;
    sortable?: boolean;
    filter?: TableFilterClass;
    width?: string;
    flex?: string;
    isGroup?: boolean;
    alignTd?: string;
    alignTh?: string;
    hideHeaderGroup?: boolean;
}
